{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
List webhook subscriptions
Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.
GET
/
webhook-subscriptions
List webhook subscriptions
using RestSharp;var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/webhook-subscriptions");var client = new RestClient(options);var request = new RestRequest("");request.AddHeader("Authorization", "Bearer <token>");var response = await client.GetAsync(request);Console.WriteLine("{0}", response.Content);
The cursor pointing at the previous page of items.
Required string length: 1 - 1000
Example:
"Xkjss7asS"
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Gr4vy","colors":{"primary":"#0066CC","light":"#0099FF","dark":"#0066CC"},"logo":{"light":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=c8c719a4e76f3fc4418d42afd2c0ee99","dark":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=7a09594217c27f95e0d127250c4cc958"},"favicon":"https://mintcdn.com/flexxbuy/39tfKGesfNHyX7HE/assets/favicon.png?fit=max\u0026auto=format\u0026n=39tfKGesfNHyX7HE\u0026q=85\u0026s=fc89afd637da9116e218f41f2c6b1105","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.flexxbuy.gr4vy.app","https://api.flexxbuy.gr4vy.app"]}},"navbar":{"links":[{"icon":"bell","href":"https://status.gr4vy.com","label":"Status"},{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"Gr4vy","href":"https://gr4vy.com/#form-contact"}},"footer":{"socials":{"website":"https://gr4vy.com","twitter":"https://twitter.com/Gr4vyInc","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/gr4vy-inc"},"links":[{"header":"About","items":[{"label":"Payment orchestration","href":"https://gr4vy.com/payment-orchestration"},{"label":"Gr4vy for merchants","href":"https://gr4vy.com/merchants"},{"label":"Gr4vy for platforms","href":"https://gr4vy.com/platforms"},{"label":"Increasing your revenue","href":"https://gr4vy.com/revenue"}]},{"header":"Developers","items":[{"label":"GitHub","href":"https://github.com/gr4vy"},{"label":"Latest news","href":"https://docs.gr4vy.com/updates"},{"label":"System status","href":"https://status.gr4vy.com"},{"label":"Customer support","href":"https://support.gr4vy.com"}]}]},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"flexxbuy","hasAudioNarration":false,"actualSubdomain":"flexxbuy","customDomains":["docs.byzly.com"],"gitSource":{"type":"github","owner":"gr4vy","repo":"flexxbuy-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf64bc3d6319f7be041995","collectionId":"bdb65d06-a21b-40ca-800b-8b423f379e82","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf64bc3d6319f7be041995"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adf64bc3d6319f7be041995","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"Build","count":195},{"language":"default","tag":"API Reference","count":171},{"language":"default","tag":"Connections","count":168},{"language":"default","tag":"Methods","count":141},{"language":"default","tag":"Features","count":95},{"language":"default","tag":"Integration guides","count":91},{"language":"default","tag":"Banking","count":46},{"language":"default","tag":"Dashboard","count":44},{"language":"default","tag":"Other","count":39},{"language":"default","tag":"Embed","count":38}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/webhook-subscriptions/list-webhook-subscriptions","slug":"/reference/webhook-subscriptions/list-webhook-subscriptions","pageMetadata":{"openapi":"openapi.speakeasy.json GET /webhook-subscriptions","sidebarTitle":"List subscriptions","title":"List webhook subscriptions","description":"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.","href":"/reference/webhook-subscriptions/list-webhook-subscriptions"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`webhook-subscriptions.read`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json GET /webhook-subscriptions","sidebarTitle":"List subscriptions","title":"List webhook subscriptions","description":"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.","href":"/reference/webhook-subscriptions/list-webhook-subscriptions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Webhook subscriptions"],"summary":"List webhook subscriptions","description":"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.","operationId":"list_webhook_subscription","parameters":["f571f27f-e425-4820-be92-2ef4dcd23df6","497d7199-41a1-49ba-a3d5-3769084e225d","08665617-6f1d-48bd-9a02-d5cbc7ec31ae"],"responses":{"200":"093d87ab-2fab-4dac-ad16-122431c76419","400":"0e545aa8-eb45-4b9a-a2ed-34cab02f5206","401":"036160c5-00e1-45f3-9d6b-417b4c583147","403":"4542df69-8777-4c63-8509-fe8c2020297c","404":"53be1158-dca6-4f0d-ab22-528e4169aaa3","405":"557eb87c-cd3b-483c-928d-9554b123ae88","409":"734bb394-5341-4979-9a3e-23344ab3a773","422":"95406119-8536-45db-bd44-8144dd3be051","425":"f5e9ad7b-1090-4025-aa6b-2faa6a380131","429":"b79503f2-c94a-484f-8e15-a39e50cbd174","500":"6d50c514-302f-4813-a815-789d5b113778","502":"826f2856-f71a-402f-a6bb-34e73c58b0dc","504":"f1a3ab49-916d-4c8c-a3e7-bf1ca50f09bf"},"x-speakeasy-ignore":true,"x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"method":"get","type":"path","servers":["0048b136-b0cb-4528-8f3a-95ce1a20d337","b15a1711-bb6b-4cdf-9106-1a445dacccf7"],"security":["1c94c691-caf6-424e-b0d4-912fcc945a19"],"path":"/webhook-subscriptions","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"List webhook subscriptions","codeSamples":[],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"f571f27f-e425-4820-be92-2ef4dcd23df6":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":20,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"}},"497d7199-41a1-49ba-a3d5-3769084e225d":{"name":"cursor","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Cursor","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Cursor","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"}},"08665617-6f1d-48bd-9a02-d5cbc7ec31ae":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Gr4Vy-Merchant-Account-Id","description":"The ID of the merchant account to use for this request.","example":"default","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchantAccountId"}},"responses":{"093d87ab-2fab-4dac-ad16-122431c76419":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The ID of the webhook subscription","examples":["ef9496d8-53a5-4aad-8ca2-00eb68334389"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"active":{"type":"boolean","title":"Active","description":"Flag to determine whether this subscription should be sent webhook payloads.","examples":[true,false],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].active","typeLabel":"boolean"},"url":{"type":"string","title":"Url","description":"URL to send webhook payloads.","examples":["https://www.gr4vy.com/webhooks"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].url","typeLabel":"string"},"rotating":{"type":"boolean","title":"Rotating","description":"Flag to determine whether the subscription has a secret rotation in progress or not.","examples":[false,true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].rotating","typeLabel":"boolean"},"type":{"type":"string","const":"webhook-subscription","title":"Type","description":"Type of resource for webhook subscriptions.","default":"webhook-subscription","examples":["webhook-subscription"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"merchant_account_id":{"oneOf":[{"type":"string","title":"Merchant Account Id","description":"The merchant account to which this subscription is associated. When null this represents an instance level webhook.","example":"default","uniqueKey":"\\items.items.[INDEX].merchant_account_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Account Id","description":"The merchant account to which this subscription is associated. When null this represents an instance level webhook.","example":"default","uniqueKey":"\\items.items.[INDEX].merchant_account_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_account_id","typeLabel":"string | null"},"authentication":{"oneOf":[{"type":"object","title":"BasicAuthentication","description":"Optional authentication configuration for webhook requests.","required":["username"],"example":{"kind":"basic","password":"********","username":"gr4vy"},"properties":{"username":{"type":"string","title":"Username","description":"The username value for basic auth.","examples":["gr4vy"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.0.username","typeLabel":"string"},"type":{"type":"string","const":"webhook-authentication","title":"Type","description":"Type of resource for webhook authentication.","default":"webhook-authentication","examples":["webhook-authentication"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.0.type","typeLabel":"string"},"kind":{"type":"string","const":"basic","title":"Kind","description":"Type of authentication for webhook request.","default":"basic","examples":["basic"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.0.kind","typeLabel":"string"},"password":{"type":"string","const":"********","title":"Password","description":"The masked password value for basic auth.","default":"********","examples":["********"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.0.password","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.0","typeLabel":"BasicAuthentication · object"},{"type":"object","title":"CredentialsOAuthAuthentication","description":"Optional authentication configuration for webhook requests.","required":["client_id","token_url"],"example":{"kind":"basic"},"properties":{"client_id":{"type":"string","title":"Client Id","description":"The OAuth client identifier.","examples":["1234abcd"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.client_id","typeLabel":"string"},"token_url":{"type":"string","title":"Token Url","description":"The OAuth access token URL.","examples":["https://www.gr4vy.com/oauth/token"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.token_url","typeLabel":"string"},"type":{"type":"string","const":"webhook-authentication","title":"Type","description":"Type of resource for webhook authentication.","default":"webhook-authentication","examples":["webhook-authentication"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.type","typeLabel":"string"},"kind":{"type":"string","const":"oauth_client_credentials","title":"Kind","description":"Type of authentication for webhook request.","default":"oauth_client_credentials","examples":["oauth_client_credentials"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.kind","typeLabel":"string"},"client_secret":{"type":"string","title":"Client Secret","description":"The masked OAuth client secret.","default":"********","examples":["********"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.client_secret","typeLabel":"string"},"scope":{"oneOf":[{"type":"string","title":"Scope","description":"The OAuth scope.","example":"example:scope","uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.scope.oneOf.0","typeLabel":"string"},{"type":"null","title":"Scope","description":"The OAuth scope.","example":"example:scope","uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.scope.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1.scope","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.1","typeLabel":"CredentialsOAuthAuthentication · object"},{"type":"object","title":"PasswordOAuthAuthentication","description":"Optional authentication configuration for webhook requests.","required":["client_id","token_url","username"],"example":{"kind":"basic","password":"********","username":"gr4vy"},"properties":{"client_id":{"type":"string","title":"Client Id","description":"The OAuth client identifier.","examples":["1234abcd"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.client_id","typeLabel":"string"},"token_url":{"type":"string","title":"Token Url","description":"The OAuth access token URL.","examples":["https://www.gr4vy.com/oauth/token"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.token_url","typeLabel":"string"},"username":{"type":"string","title":"Username","description":"The username value.","examples":["gr4vy"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.username","typeLabel":"string"},"type":{"type":"string","const":"webhook-authentication","title":"Type","description":"Type of resource for webhook authentication.","default":"webhook-authentication","examples":["webhook-authentication"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.type","typeLabel":"string"},"kind":{"type":"string","const":"oauth_password","title":"Kind","description":"Type of authentication for webhook request.","default":"oauth_password","examples":["oauth_password"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.kind","typeLabel":"string"},"client_secret":{"type":"string","title":"Client Secret","description":"The masked OAuth client secret.","default":"********","examples":["********"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.client_secret","typeLabel":"string"},"scope":{"oneOf":[{"type":"string","title":"Scope","description":"The OAuth scope.","example":"example:scope","uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.scope.oneOf.0","typeLabel":"string"},{"type":"null","title":"Scope","description":"The OAuth scope.","example":"example:scope","uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.scope.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.scope","typeLabel":"string | null"},"password":{"type":"string","const":"********","title":"Password","description":"The masked password value.","default":"********","examples":["********"],"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2.password","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.2","typeLabel":"PasswordOAuthAuthentication · object"},{"type":"null","title":"Authentication","description":"Optional authentication configuration for webhook requests.","example":{"kind":"basic","password":"********","username":"gr4vy"},"uniqueKey":"\\items.items.[INDEX].authentication.oneOf.3","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].authentication","typeLabel":"BasicAuthentication · object | CredentialsOAuthAuthentication · object | PasswordOAuthAuthentication · object | null"},"secret":{"oneOf":[{"type":"string","title":"Secret","description":"The active secret value.","example":"234567890abcdef1234567890abcdef","uniqueKey":"\\items.items.[INDEX].secret.oneOf.0","typeLabel":"string"},{"type":"null","title":"Secret","description":"The active secret value.","example":"234567890abcdef1234567890abcdef","uniqueKey":"\\items.items.[INDEX].secret.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].secret","typeLabel":"string | null"},"creator":{"oneOf":[{"type":"object","title":"Creator","description":"The user that created this resource","required":["id","name","email_address"],"example":{"email_address":"jhon.doe@gr4vy.com","id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","name":"Jhon Doe"},"properties":{"id":{"type":"string","format":"uuid","title":"Id","isRequired":true,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0.id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","title":"Name","isRequired":true,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0.name","typeLabel":"string"},"email_address":{"type":"string","title":"Email Address","isRequired":true,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0.email_address","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].creator.oneOf.0","typeLabel":"Creator · object"},{"type":"null","description":"The user that created this resource","example":{"email_address":"jhon.doe@gr4vy.com","id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","name":"Jhon Doe"},"uniqueKey":"\\items.items.[INDEX].creator.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].creator","typeLabel":"Creator · object | null"}},"additionalProperties":false,"type":"object","required":["id","active","url","rotating"],"title":"WebhookSubscription","uniqueKey":"\\items.items.[INDEX]","typeLabel":"WebhookSubscription · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"WebhookSubscription · object[]"},"limit":{"type":"integer","maximum":100,"minimum":1,"title":"Limit","description":"The number of items for this page.","default":20,"examples":[20],"uniqueKey":"limit","typeLabel":"integer"},"next_cursor":{"oneOf":[{"type":"string","title":"Next Cursor","description":"The cursor pointing at the next page of items.","maxLength":1000,"minLength":1,"example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Next Cursor","description":"The cursor pointing at the next page of items.","example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"next_cursor","typeLabel":"string | null"},"previous_cursor":{"oneOf":[{"type":"string","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","maxLength":1000,"minLength":1,"example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"previous_cursor","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["items"],"title":"WebhookSubscriptions","uniqueKey":"","typeLabel":"WebhookSubscriptions · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"ef9496d8-53a5-4aad-8ca2-00eb68334389","active":true,"url":"https://www.gr4vy.com/webhooks","rotating":false,"type":"webhook-subscription","merchant_account_id":"default","authentication":{"kind":"basic","password":"********","username":"gr4vy"},"secret":"234567890abcdef1234567890abcdef","creator":{"email_address":"jhon.doe@gr4vy.com","id":"07e70d14-a0c0-4ff5-bd4a-509959af0e4d","name":"Jhon Doe"}}],"limit":20,"next_cursor":"ZXhhbXBsZTE","previous_cursor":"Xkjss7asS"}}},"exampleType":"generated"}},"exampleType":"generated"},"0e545aa8-eb45-4b9a-a2ed-34cab02f5206":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"036160c5-00e1-45f3-9d6b-417b4c583147":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"4542df69-8777-4c63-8509-fe8c2020297c":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"53be1158-dca6-4f0d-ab22-528e4169aaa3":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"557eb87c-cd3b-483c-928d-9554b123ae88":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"734bb394-5341-4979-9a3e-23344ab3a773":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"},"resource_id":{"oneOf":[{"type":"string","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[],"resource_id":"cdc70639-cb9c-4222-a73f-b8ce39f7821b"}}},"exampleType":"generated"}},"exampleType":"generated"},"95406119-8536-45db-bd44-8144dd3be051":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"f5e9ad7b-1090-4025-aa6b-2faa6a380131":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"b79503f2-c94a-484f-8e15-a39e50cbd174":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"6d50c514-302f-4813-a815-789d5b113778":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"826f2856-f71a-402f-a6bb-34e73c58b0dc":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"f1a3ab49-916d-4c8c-a3e7-bf1ca50f09bf":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"1c94c691-caf6-424e-b0d4-912fcc945a19":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"0048b136-b0cb-4528-8f3a-95ce1a20d337":{"url":"https://api.sandbox.{id}.gr4vy.app","x-speakeasy-server-id":"sandbox","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}},"b15a1711-bb6b-4cdf-9106-1a445dacccf7":{"url":"https://api.{id}.gr4vy.app","x-speakeasy-server-id":"production","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"flexxbuy","siteName":"Gr4vy","title":"List webhook subscriptions - Gr4vy","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-27T10:02:14.682Z","originalFileLocation":"reference/webhook-subscriptions/list-webhook-subscriptions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List webhook subscriptions - Gr4vy\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Gr4vy\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://flexxbuy.mintlify.app/_mintlify/api/og/v2?division=Webhook+subscriptions\u0026amp;title=List+webhook+subscriptions\u0026amp;description=Retrieve+a+paginated+list+of+all+webhook+subscriptions+for+your+account.+This+endpoint+returns+subscription+details+including+URLs%2C+authentication+methods%2C+and+\u0026amp;theme=93f51384d2ec49fce20f3d31\u0026amp;signature=8b8eb35126e863360c8c3bf47c697e5429b3c92f1de00692a562928a0fc26295\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List webhook subscriptions - Gr4vy\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://flexxbuy.mintlify.app/_mintlify/api/og/v2?division=Webhook+subscriptions\u0026amp;title=List+webhook+subscriptions\u0026amp;description=Retrieve+a+paginated+list+of+all+webhook+subscriptions+for+your+account.+This+endpoint+returns+subscription+details+including+URLs%2C+authentication+methods%2C+and+\u0026amp;theme=93f51384d2ec49fce20f3d31\u0026amp;signature=8b8eb35126e863360c8c3bf47c697e5429b3c92f1de00692a562928a0fc26295\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0066CC\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/webhook-subscriptions/list-webhook-subscriptions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.byzly.com/#organization\",\"name\":\"Gr4vy\",\"url\":\"https://docs.byzly.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=c8c719a4e76f3fc4418d42afd2c0ee99\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.byzly.com#website\",\"name\":\"Gr4vy\",\"url\":\"https://docs.byzly.com\",\"publisher\":{\"@id\":\"https://docs.byzly.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions#webpage\",\"url\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions\",\"name\":\"List webhook subscriptions\",\"description\":\"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.\",\"dateModified\":\"2026-07-27T10:02:14.682Z\",\"isPartOf\":{\"@id\":\"https://docs.byzly.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Other\",\"item\":\"https://docs.byzly.com/reference/api-key-pairs/list-api-key-pairs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List webhook subscriptions\",\"item\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions#apireference\",\"headline\":\"List webhook subscriptions\",\"name\":\"List webhook subscriptions\",\"description\":\"Retrieve a paginated list of all webhook subscriptions for your account. This endpoint returns subscription details including URLs, authentication methods, and active status. Use pagination parameters to navigate through large collections of subscriptions. Results are sorted by creation date, with the most recent subscriptions appearing first.\",\"url\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions\",\"mainEntityOfPage\":{\"@id\":\"https://docs.byzly.com/reference/webhook-subscriptions/list-webhook-subscriptions#webpage\"},\"dateModified\":\"2026-07-27T10:02:14.682Z\",\"publisher\":{\"@id\":\"https://docs.byzly.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.byzly.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Gr4vy\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Gr4vy","nav":{"global":null,"tabs":[{"tab":"Build","icon":"credit-card","pages":[{"title":"Build","href":"/guides/get-started"}]},{"tab":"Dashboard","icon":"circle-user","pages":[{"title":"Dashboard","href":"/guides/dashboard/overview"}]},{"tab":"Connections","icon":{"style":"light","name":"circle-nodes"},"pages":[{"title":"Connections","href":"/connections/payments/overview"}]},{"tab":"Custom Connectors","icon":"plug","hidden":true,"pages":[{"title":"Custom Connectors","href":"/guides/features/custom-connectors/overview"}]},{"tab":"Connector Requirements","icon":"clipboard-check","hidden":true,"pages":[{"title":"Connector Requirements","href":"/partners/connector-requirements/overview"}]},{"tab":"External Apps","icon":"puzzle-piece","hidden":true,"pages":[{"title":"External Apps","href":"/partners/external-apps"}]},{"tab":"API Reference","icon":{"style":"light","name":"square-terminal"},"groups":[{"group":"Introduction","icon":"compass","pages":[{"title":"Authentication","mode":"wide","href":"/guides/api/authentication"},{"title":"Managing API keys","sidebarTitle":"API keys","mode":"wide","href":"/guides/api/api-keys"},{"title":"API Compatibility","sidebarTitle":"Compatibility","href":"/guides/api/compatibility"},{"title":"Connectivity and TLS","sidebarTitle":"Connectivity","href":"/guides/api/connectivity"},{"sidebarTitle":"JWTs","title":"Authentication with JWTs","href":"/guides/api/jwts"},{"title":"Environments","href":"/guides/api/environments"},{"title":"Error handling","sidebarTitle":"Errors","mode":"wide","href":"/guides/api/errors"},{"title":"Idempotent requests","href":"/guides/api/idempotent-requests"},{"title":"IP address forwarding","href":"/guides/api/ip-address-forwarding"},{"title":"OpenAPI 3.1.0 Specification","sidebarTitle":"OpenAPI","href":"/guides/api/openapi"},{"title":"Pagination","href":"/guides/api/pagination"},{"sidebarTitle":"Prefer header","title":"Prefer header","href":"/guides/api/prefer-header"},{"title":"Rate limiting","href":"/guides/api/rate-limiting"},{"sidebarTitle":"Timeouts","title":"Handling transaction timeout","mode":"wide","href":"/guides/timeouts"},{"title":"Transaction error codes","sidebarTitle":"Error Codes","mode":"wide","href":"/guides/api/error-codes"}]},{"group":"Transactions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions","title":"List transactions","href":"/reference/transactions/list-transactions"},{"openapi":"openapi.speakeasy.json POST /transactions","title":"Create transaction","href":"/reference/transactions/new-transaction"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}","title":"Get transaction","href":"/reference/transactions/get-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/capture","title":"Capture transaction","href":"/reference/transactions/capture-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/void","title":"Void transaction","href":"/reference/transactions/void-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/authorization/increment","title":"Increment transaction authorization","href":"/reference/transactions/increment-transaction-authorization"},{"group":"Captures","pages":[{"sidebarTitle":"List captures","title":"List transaction captures","openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/captures","href":"/reference/transactions/list-transaction-captures"},{"sidebarTitle":"Get capture","title":"Get capture","openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/captures/{capture_id}","href":"/reference/transactions/get-transaction-capture"}]},{"group":"More actions","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/events","title":"List transaction events","href":"/reference/transactions/list-transaction-events"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/actions","title":"List transaction Flow rules","href":"/reference/transactions/list-transaction-actions"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/sync","title":"Sync transaction","href":"/reference/transactions/sync-transaction"},{"title":"Update a transaction","openapi":"openapi.speakeasy.json PUT /transactions/{transaction_id}","href":"/reference/transactions/update-transaction"},{"title":"Cancel a transaction","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/cancel","href":"/reference/transactions/cancel-transaction"},{"title":"Get or update transaction session","sidebarTitle":"Get session","openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/session","href":"/reference/transactions/get-transaction-session"}]}]},{"group":"Buyers","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /buyers","title":"List all buyers","href":"/reference/buyers/list-buyers"},{"openapi":"openapi.speakeasy.json POST /buyers","title":"Add a buyer","href":"/reference/buyers/new-buyer"},{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}","title":"Get a buyer","href":"/reference/buyers/get-buyer"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}","title":"Update a buyer","href":"/reference/buyers/update-buyer"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}","title":"Delete a buyer","href":"/reference/buyers/delete-buyer"},{"group":"Shipping details","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/{buyer_id}/shipping-details","title":"List a buyer's shipping details","href":"/reference/buyers/get-buyer-shipping-details"},{"openapi":"openapi.speakeasy.json POST /buyers/{buyer_id}/shipping-details","title":"Add buyer shipping details","href":"/reference/buyers/new-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json PUT /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Update a buyer's shipping details","href":"/reference/buyers/update-buyer-shipping-detail"},{"openapi":"openapi.speakeasy.json DELETE /buyers/{buyer_id}/shipping-details/{shipping_details_id}","title":"Delete a buyer's shipping details","href":"/reference/buyers/delete-buyer-shipping-detail"}]}]},{"group":"Checkout Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /checkout/sessions","title":"Create checkout session","href":"/reference/checkout-sessions/new-checkout-session"},{"openapi":"openapi.speakeasy.json GET /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/get-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/update-checkout-session"},{"openapi":"openapi.speakeasy.json DELETE /checkout/sessions/{checkout_session_id}","title":null,"href":"/reference/checkout-sessions/delete-checkout-session"},{"openapi":"openapi.speakeasy.json PUT /checkout/sessions/{checkout_session_id}/fields","sidebarTitle":"Update session fields","title":null,"href":"/reference/checkout-sessions/update-checkout-session-fields"}]},{"group":"Payment links","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /payment-links","title":"List all payment links","href":"/reference/payment-links/list-payment-links"},{"openapi":"openapi.speakeasy.json POST /payment-links","title":"Add a payment link","href":"/reference/payment-links/new-payment-link"},{"openapi":"openapi.speakeasy.json GET /payment-links/{payment_link_id}","title":"Get payment link","href":"/reference/payment-links/get-payment-link"},{"openapi":"openapi.speakeasy.json POST /payment-links/{payment_link_id}/expire","title":"Expire a payment link","href":"/reference/payment-links/expire-payment-link"}]},{"group":"Payment options","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-options","title":"List payment options","href":"/reference/payment-options/list-payment-options"}]},{"group":"Payouts","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /payouts","title":"List payouts created","href":"/reference/payouts/list-payouts"},{"openapi":"openapi.speakeasy.json POST /payouts","title":"Create a payout","href":"/reference/payouts/new-payout"},{"openapi":"openapi.speakeasy.json GET /payouts/{payout_id}","title":"Get a payout","href":"/reference/payouts/get-payout"}]},{"group":"Refunds","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refunds","title":"List transaction refunds","href":"/reference/transactions/list-transaction-refunds"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds","title":"Create transaction refund","href":"/reference/transactions/refund-transaction"},{"openapi":"openapi.speakeasy.json POST /transactions/{transaction_id}/refunds/all","sidebarTitle":"Refund all instruments","title":"Create batch transaction refund","href":"/reference/transactions/refund-all"},{"sidebarTitle":"Get refund","title":"Get refund","openapi":"openapi.speakeasy.json GET /refunds/{refund_id}","href":"/reference/transactions/get-refund"}]},{"group":"Sessions","icon":"code","pages":[{"openapi":"openapi.speakeasy.json POST /payment-service-definitions/{payment_service_definition_id}/sessions","sidebarTitle":"Get session","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session"},{"openapi":"openapi.speakeasy.json POST /payment-services/{payment_service_id}/sessions","sidebarTitle":"Get session by ID","title":"Create a session for a payment service definition","href":"/reference/payment-service-sessions/create-payment-service-session-by-id"}]},{"group":"Settlement records","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/settlements","sidebarTitle":"List settlement records","title":"List transaction settlements","href":"/reference/settlements/list-settlements"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/settlements/{settlement_id}","sidebarTitle":"Get settlement record","title":"Get transaction settlement","href":"/reference/settlements/get-settlement"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refund-settlements","sidebarTitle":"List refund settlement records","title":"List transaction refund settlements","href":"/reference/settlements/list-refund-settlements"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/refund-settlements/{settlement_id}","sidebarTitle":"Get refund settlement record","title":"Get transaction refund settlement","href":"/reference/settlements/get-refund-settlement"}]},{"group":"Disputes","icon":"code","pages":[{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/chargebacks","sidebarTitle":"List chargeback records","title":"List transaction chargebacks","href":"/reference/disputes/list-chargebacks"},{"openapi":"openapi.speakeasy.json GET /transactions/{transaction_id}/chargeback-reversals","sidebarTitle":"List chargeback reversal records","title":"List transaction chargeback reversals","href":"/reference/disputes/list-chargeback-reversals"}]},{"group":"Instruments","icon":"code","pages":[{"group":"Card schemes","pages":[{"openapi":"openapi.speakeasy.json GET /card-scheme-definitions","title":"List card scheme definitions","href":"/reference/card-schemes/list-card-scheme-definitions"}]},{"group":"Card details","pages":[{"openapi":"openapi.speakeasy.json GET /card-details","title":"Get card details","href":"/reference/card-details/get-card-details"}]},{"group":"Digital wallets","pages":[{"openapi":"openapi.speakeasy.json POST /digital-wallets/apple/session","title":"Create a Apple Pay session","href":"/reference/digital-wallets/get-apple-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/google/session","title":"Create a Google Pay session","href":"/reference/digital-wallets/get-google-pay-session"},{"openapi":"openapi.speakeasy.json POST /digital-wallets/click-to-pay/session","title":"Create a Click to Pay session","href":"/reference/digital-wallets/get-click-to-pay-session"}]},{"group":"Gift cards","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/gift-cards","title":"List gift cards for a buyer","href":"/reference/gift-cards/list-buyer-gift-cards"},{"openapi":"openapi.speakeasy.json GET /gift-cards","title":"List gift cards","href":"/reference/gift-cards/list-gift-cards"},{"openapi":"openapi.speakeasy.json POST /gift-cards/balances","title":"Verify and get gift card balances","sidebarTitle":"Verify \u0026 get balance","href":"/reference/gift-cards/list-gift-card-balances"},{"openapi":"openapi.speakeasy.json POST /gift-cards","title":"Create gift card","href":"/reference/gift-cards/new-gift-card"},{"openapi":"openapi.speakeasy.json GET /gift-cards/{gift_card_id}","title":"Get gift card","href":"/reference/gift-cards/get-gift-card"},{"openapi":"openapi.speakeasy.json DELETE /gift-cards/{gift_card_id}","title":"Delete a gift card","href":"/reference/gift-cards/delete-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/issuances","title":"Issue a gift card","href":"/reference/gift-cards/issue-gift-card"},{"openapi":"openapi.speakeasy.json POST /gift-cards/activations","title":"Activate a gift card","href":"/reference/gift-cards/activate-gift-card"}]},{"group":"Payment methods","pages":[{"openapi":"openapi.speakeasy.json GET /buyers/payment-methods","title":"List payment methods for a buyer","href":"/reference/payment-methods/list-buyer-payment-methods"},{"openapi":"openapi.speakeasy.json GET /payment-methods","title":"List all payment methods","href":"/reference/payment-methods/list-payment-methods"},{"openapi":"openapi.speakeasy.json POST /payment-methods","title":"Create payment method","href":"/reference/payment-methods/new-payment-method"},{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}","title":"Get payment method","href":"/reference/payment-methods/get-payment-method"},{"openapi":"openapi.speakeasy.json PUT /payment-methods/{payment_method_id}","title":"Update payment method","href":"/reference/payment-methods/update-payment-method"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}","title":"Delete payment method","href":"/reference/payment-methods/delete-payment-method"}]},{"group":"Payment method definitions","pages":[{"openapi":"openapi.speakeasy.json GET /payment-method-definitions","title":"List payment method definitions","href":"/reference/payment-method-definitions/list-payment-method-definitions"}]}]},{"group":"Vault","icon":"code","pages":[{"group":"Account updater","pages":[{"openapi":"openapi.speakeasy.json POST /account-updater/jobs","sidebarTitle":"Create a job","title":"Create account updater job","href":"/reference/account-updater/new-account-updater-job"}]},{"group":"Network tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/network-tokens","title":"List network tokens","href":"/reference/network-tokens/list-network-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens","title":"Provision network token","href":"/reference/network-tokens/provision-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/cryptogram","title":"Provision network token cryptogram","href":"/reference/network-tokens/get-network-token-cryptogram"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/suspend","title":"Suspend network token","href":"/reference/network-tokens/suspend-network-token"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/network-tokens/{network_token_id}/resume","title":"Resume network token","href":"/reference/network-tokens/resume-network-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/network-tokens/{network_token_id}","title":"Delete network token","href":"/reference/network-tokens/delete-network-token"}]},{"group":"Payment service tokens","pages":[{"openapi":"openapi.speakeasy.json GET /payment-methods/{payment_method_id}/payment-service-tokens","title":"List payment service tokens","href":"/reference/payment-service-tokens/list-payment-service-tokens"},{"openapi":"openapi.speakeasy.json POST /payment-methods/{payment_method_id}/payment-service-tokens","title":"Create payment service token","href":"/reference/payment-service-tokens/provision-payment-service-token"},{"openapi":"openapi.speakeasy.json DELETE /payment-methods/{payment_method_id}/payment-service-tokens/{payment_service_token_id}","title":"Delete payment service token","href":"/reference/payment-service-tokens/delete-payment-service-token"}]},{"group":"Vault Forward","pages":[{"openapi":"openapi.v1.json POST /vault-forward","title":"Forward PCI data","href":"/reference/vault-forwarding/make-vault-forward"}]},{"group":"Vault Forward endpoints","pages":[{"openapi":"openapi.v1.json GET /vault-forward/configs","sidebarTitle":"List endpoints","title":"List configured Vault Forward endpoints","href":"/reference/vault-forwarding/list-vault-forward-configs"},{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}","sidebarTitle":"Get endpoint","title":"Get configured Vault Forward endpoints","href":"/reference/vault-forwarding/get-vault-forward-config"}]},{"group":"Vault Forward authentication","pages":[{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Get authentications","title":"List configured Vault Forward authentication methods","href":"/reference/vault-forwarding/list-vault-forward-authentications"},{"openapi":"openapi.v1.json GET /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Get authentication","title":"Get Vault Forward authentication method","href":"/reference/vault-forwarding/get-vault-forward-authentication"},{"openapi":"openapi.v1.json POST /vault-forward/configs/{config_id}/authentications","sidebarTitle":"Add authentication","title":"Adds new Vault Forward authentication method","href":"/reference/vault-forwarding/add-vault-forward-authentication"},{"openapi":"openapi.v1.json PUT /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Update authentication","title":"Update Vault Forward authentication method","href":"/reference/vault-forwarding/update-vault-forward-authentication"},{"openapi":"openapi.v1.json DELETE /vault-forward/configs/{config_id}/authentications/{authentication_id}","sidebarTitle":"Remove authentication","title":"Remove a Vault Forward authentication method","href":"/reference/vault-forwarding/delete-vault-forward-authentication"}]}]},{"group":"PSPs \u0026 Gateways","icon":"code","pages":[{"group":"All services","pages":[{"openapi":"openapi.v1.json GET /connections","title":"List connections","href":"/reference/connections/list-connections"},{"openapi":"openapi.speakeasy.json GET /connection-definitions","title":null,"href":"/reference/connections/list-connection-definitions"}]},{"group":"Payment services","pages":[{"openapi":"openapi.speakeasy.json GET /payment-service-definitions/{payment_service_definition_id}","sidebarTitle":"Get service definition","title":"Get a payment service definition","href":"/reference/payment-service-definitions/get-payment-service-definition"},{"openapi":"openapi.speakeasy.json GET /payment-services","title":"List payment services","href":"/reference/payment-services/list-payment-services"},{"openapi":"openapi.speakeasy.json POST /payment-services","title":"Configure a payment service","href":"/reference/payment-services/new-payment-service"},{"openapi":"openapi.speakeasy.json GET /payment-services/{payment_service_id}","title":"Get payment service","href":"/reference/payment-services/get-payment-service"},{"openapi":"openapi.speakeasy.json PUT /payment-services/{payment_service_id}","title":"Update a configured payment service","href":"/reference/payment-services/update-payment-service"},{"openapi":"openapi.speakeasy.json DELETE /payment-services/{payment_service_id}","title":"Delete a configured payment service","href":"/reference/payment-services/delete-payment-service"},{"openapi":"openapi.speakeasy.json POST /payment-services/verify","sidebarTitle":"Verify credentials","title":"Verify payment service credentials","href":"/reference/payment-services/verify-payment-service"}]},{"group":"Digital wallets","pages":[{"openapi":"openapi.speakeasy.json GET /digital-wallets","title":"List digital wallets","href":"/reference/digital-wallets/list-digital-wallets"},{"openapi":"openapi.speakeasy.json GET /digital-wallets/{digital_wallet_id}","title":"Get digital wallet","href":"/reference/digital-wallets/get-digital-wallet"},{"openapi":"openapi.speakeasy.json POST /digital-wallets","title":"Register digital wallet","href":"/reference/digital-wallets/register-digital-wallet"},{"openapi":"openapi.speakeasy.json PUT /digital-wallets/{digital_wallet_id}","title":"Update digital wallet","href":"/reference/digital-wallets/update-digital-wallet"},{"openapi":"openapi.speakeasy.json DELETE /digital-wallets/{digital_wallet_id}","title":"Delete digital wallet","href":"/reference/digital-wallets/deregister-digital-wallet"},{"group":"Domain registration","pages":[{"openapi":"openapi.speakeasy.json POST /digital-wallets/{digital_wallet_id}/domains","title":"Register a digital wallet domain","href":"/reference/digital-wallets/new-digital-wallet-domain"},{"openapi":"openapi.speakeasy.json DELETE /digital-wallets/{digital_wallet_id}/domains","title":"Remove a digital wallet domain","href":"/reference/digital-wallets/delete-digital-wallet-domain"}]},{"group":"Mobile Certificates (Apple Pay)","pages":[{"openapi":"openapi.v1.json GET /apple-pay-certificates","sidebarTitle":"List certificates","title":"List Apple Pay certificates","href":"/reference/digital-wallets/list-apple-pay-certificates"},{"openapi":"openapi.v1.json POST /apple-pay-certificates","sidebarTitle":"Create certificate","title":"New Apple Pay certificate","href":"/reference/digital-wallets/create-apple-pay-certificate"},{"openapi":"openapi.v1.json PUT /apple-pay-certificates/{apple_pay_certificate_id}","sidebarTitle":"Update certificate","title":"Update Apple Pay certificate","href":"/reference/digital-wallets/update-apple-pay-certificate"},{"openapi":"openapi.v1.json DELETE /apple-pay-certificates/{apple_pay_certificate_id}","sidebarTitle":"Delete certificate","title":"Remove Apple Pay certificate","href":"/reference/digital-wallets/delete-apple-pay-certificate"}]}]},{"group":"Anti-fraud services","pages":[{"openapi":"openapi.v1.json GET /anti-fraud-service-definitions/{anti_fraud_service_definition_id}","sidebarTitle":"Get service definition","title":"Get anti fraud service definition","href":"/reference/anti-fraud-services/get-anti-fraud-service-definition"},{"openapi":"openapi.v1.json POST /anti-fraud-services","title":"New anti-fraud service","href":"/reference/anti-fraud-services/new-anti-fraud-service"},{"openapi":"openapi.v1.json GET /anti-fraud-services/{anti_fraud_service_id}","title":"Get anti-fraud service","href":"/reference/anti-fraud-services/get-anti-fraud-se
[...]
